Bug 22958 - The Help link on SMS providers page should link to the correct chapter in the manual
Summary: The Help link on SMS providers page should link to the correct chapter in the...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-21 23:52 UTC by Kelly McElligott
Modified: 2019-06-12 22:14 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00,19.05.01


Attachments
Bug 22958: Fix help link on the SMS providers page (1.47 KB, patch)
2019-06-02 09:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22958: Fix help link on the SMS providers page (1.51 KB, patch)
2019-06-03 15:32 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22958: Fix help link on the SMS providers page (1.57 KB, patch)
2019-06-05 15:55 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2019-05-21 23:52:02 UTC
With the introduction of the new help button opening up the manual in Koha 18.11, clicking on Help when in the SMS set up in the administration module does not bring the user to that portion of the manual, instead it goes to the main page of the manual.

It should go here 

https://koha-community.org/manual/18.11/en/html/administration.html#sms-cellular-providers
Comment 1 Katrin Fischer 2019-06-02 09:02:22 UTC
Created attachment 90264 [details] [review]
Bug 22958: Fix help link on the SMS providers page

The help link on the SMS providers page didn't link to the
according chapter in the manual.

To test:
- Enter Email in SMSSendDriver system preference to
  make the configuration page appear
- Go to Administration > SMS cellular providers
- Click on the help link
- Verify it leads to the manual start page
- Apply patch
- Repeat and verify the link now leads to the correct
  section in the manual
Comment 2 Liz Rea 2019-06-03 15:32:35 UTC
Created attachment 90274 [details] [review]
Bug 22958: Fix help link on the SMS providers page

The help link on the SMS providers page didn't link to the
according chapter in the manual.

To test:
- Enter Email in SMSSendDriver system preference to
  make the configuration page appear
- Go to Administration > SMS cellular providers
- Click on the help link
- Verify it leads to the manual start page
- Apply patch
- Repeat and verify the link now leads to the correct
  section in the manual

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Josef Moravec 2019-06-05 15:55:10 UTC
Created attachment 90340 [details] [review]
Bug 22958: Fix help link on the SMS providers page

The help link on the SMS providers page didn't link to the
according chapter in the manual.

To test:
- Enter Email in SMSSendDriver system preference to
  make the configuration page appear
- Go to Administration > SMS cellular providers
- Click on the help link
- Verify it leads to the manual start page
- Apply patch
- Repeat and verify the link now leads to the correct
  section in the manual

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Martin Renvoize 2019-06-06 14:27:56 UTC
Nice work!

Pushed to master for 19.11.00
Comment 5 Fridolin SOMERS 2019-06-11 13:49:39 UTC
Pushed to 19.05.x for 19.05.01
Comment 6 Lucas Gass 2019-06-12 22:14:31 UTC
backported to 18.11.x for 18.11.07